module Workarea
  module Search
    class Admin
      class Registry < Search::Admin
        def type
          'registry'
        end

        def jump_to_text
          model.name
        end

        def jump_to_position
          3
        end

        def search_text
          [
            'registry',
            model.id,
            model.name,
            *model.items.map(&:product_id),
            *model.items.map(&:sku)
          ].join(' ')
        end
      end
    end
  end
end
