module Workarea
  module Admin
    class RegistryViewModel < ApplicationViewModel
      include CommentableViewModel

      def timeline
        @timeline ||= TimelineViewModel.new(model)
      end

      def user
        @user ||= UserViewModel.new(
          User.find(user_id)
        )
      rescue Mongoid::Errors::DocumentNotFound
        @user = nil
      end
    end
  end
end
