module Workarea
  class SendGiftReceipt
    include Sidekiq::Worker
    include Sidekiq::CallbacksWorker

    sidekiq_options queue: 'high', enqueue_on: { Order => :place }

    def perform(order_id)
      order = Order.find(order_id)
      if order.ship_to_registrant?
        Storefront::RegistriesMailer.gift_receipt(order_id).deliver_later
      end
    end
  end
end
