module Workarea
  class SendRegistryCreationEmail
    include Sidekiq::Worker
    include Sidekiq::CallbacksWorker

    sidekiq_options queue: 'high', enqueue_on: { Registry => :create }

    def perform(registry_id)
      Storefront::RegistriesMailer.creation(registry_id).deliver_later
    end
  end
end
