module Workarea
  module Admin
    class ActiveRegistryViewModel < ApplicationViewModel
      def total_price
        @total_price ||= begin
          purchased_items.map{ |item| item.total_price }.sum
        end
      end

      def unpurchased_items
        @unpurchased_items ||= items.reject(&:purchased_by?)
      end

      def purchased_items
        @purchased_items ||= items.select(&:purchased_by?)
      end
    end
  end
end
