Workarea::Configuration.define_fields do
  fieldset 'Communication', namespaced: false do
    field 'Max Email Registry Share Message Length',
      type: :integer,
      default: 2000,
      description: %(
        The maximum message length (in characters) that an email share
        can contain. Used in the 'Share by Email' option on registry detail pages.
      ).squish

    field 'Max Email Registry Thanks Message Length',
      type: :integer,
      default: 2000,
      description: %(
        The maximum message length (in characters) that an email share
        can contain. Used in the 'Thank You' option on registry detail pages.
      ).squish
  end
end
