module Workarea
  module Storefront
    class RegistriesMailerPreview < ActionMailer::Preview
      def creation
        registry = Registry.first
        RegistriesMailer.creation(registry.id)
      end

      def share
        share = Registry::Share.first
        RegistriesMailer.share(share.id)
      end

      def thank
        thank = Registry::Thank.first
        RegistriesMailer.thank(thank.id)
      end

      def gift_receipt
        order = Order.where(ship_to_registrant: true).first
        RegistriesMailer.gift_receipt(order.id)
      end
    end
  end
end
