module Workarea
  module Registries
    class Engine < ::Rails::Engine
      include Workarea::Plugin
      isolate_namespace Workarea::Registries

      config.to_prepare do
        Workarea::ApplicationController.helper(Workarea::RegistriesHelper)
        Workarea::ApplicationMailer.helper(Workarea::RegistriesHelper)

        # Shouldn't be necessary, but it seems to be.
        Workarea::Storefront::ApplicationController.helper(Workarea::RegistriesHelper)
        Workarea::Admin::ApplicationController.helper(Workarea::RegistriesHelper)
      end
    end
  end
end
